Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTabWidget.TabShape

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTabWidget.TabShape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTabWidget

    public static final class QTabWidget.TabShape

extends java.lang.Enum
implements QtEnumerator

This enum type defines the shape of the tabs.

See Also:
  Serialized Form

Field Summary
`static QTabWidget.TabShape` | `Rounded` The tabs are drawn with a rounded look.
`static QTabWidget.TabShape` | `Triangular` The tabs are drawn with a triangular look.

Method Summary
`static QTabWidget.TabShape` | `resolve(int value)` Returns the QTabWidget$TabShape constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTabWidget.TabShape` | `valueOf(java.lang.String name)`
`static QTabWidget.TabShape[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Rounded

    public static final QTabWidget.TabShape Rounded

  The tabs are drawn with a rounded look. This is the default shape.

### Triangular

    public static final QTabWidget.TabShape Triangular

  The tabs are drawn with a triangular look.

Method Detail

### values

    public static QTabWidget.TabShape[] values()

### valueOf

    public static QTabWidget.TabShape valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTabWidget.TabShape resolve(int value)

  Returns the QTabWidget$TabShape constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD